Contest Gallery

= 30.0.4 =
* FIXED: Social share icon selections in Entry view options were not always saved and displayed correctly for all gallery shortcode types.

= 30.0.3 =
* FIXED: Security issue related to user role handling.
* IMPROVED: Security hardening for frontend registration and Google Sign-In.

= 30.0.2 =
* NEW: Google Sign-In is now available in the free version.
* NEW: Added real watermarking for gallery images, including protected original storage, restore/unwatermark handling, frontend cache refresh and support for multiple files per entry.
* NEW: Added backend bulk actions to watermark and unwatermark visible entries with progress display.
* NEW: Added real watermark options for upload forms and upload options so uploaded images can be watermarked automatically.
* IMPROVED: Improved upload form builder workflow with faster field selection, clearer drag-and-drop targets and better preservation of empty layout columns.
* IMPROVED: Real watermarking supports GIF files when server GD GIF support is available and shows clearer GD capability notices.
* IMPROVED: Improved watermark compatibility with selling downloads, unified watermark size labels and added clearer admin notices.
* IMPROVED: Hardened watermark handling with safer path validation, field whitelisting, permission handling, GD capability checks and Apache/IIS/Nginx protection guidance.

= 30.0.1 =
* IMPROVED: iOS Safari/WebKit compatibility for mobile full-window galleries, including more stable viewport, keyboard input, comments, overlays, and image zoom behavior.
* IMPROVED: Mobile shopping cart scrolling and close handling when opened from full-window galleries.
* IMPROVED: Security hardening.
* FIXED: User gallery delete controls could disappear after uploading a new entry until the page was reloaded.
* FIXED: Multiple-star rating details in user galleries now open read-only for own entries and show the correct own-gallery voting message.
* FIXED: Multiple-star rating detail rows now match the displayed total when "Show only user votes" or manual vote corrections are used.
* FIXED: Entry page URLs are cleaner for upload titles containing apostrophes or encoded characters.
* FIXED: Upload field values with apostrophes are displayed correctly in frontend views.
* FIXED: Potential security vulnerability.
* FIXED: Small bugs.

= 30.0.0 =
* NEW: Added Contest Gallery Network publishing workflow for gallery listings, including update handling for already published galleries.
* NEW: Added Gallery ZIP export and import to transfer galleries between sites, including entries, media files, votes, comments and user assignment options.
* IMPROVED: Large gallery transfer handling with progress UI, temporary file cleanup and safer ZIP download/import processing.
* IMPROVED: Backend user entry filtering can now show user related entry counts instead of only technical user IDs.
* IMPROVED: Modernized backend option controls for a cleaner and more readable administration experience.
* FIXED: Mobile full window browser back and edge gesture handling for the compact blog slider popover.
* FIXED: Imported galleries could fail to render when video data was incomplete.
* FIXED: "Thank you for voting" translation was not applied in all frontend voting message contexts.
* FIXED: Registry/PIN form helper content could appear on gallery pages where it should not be visible.
* FIXED: Backend sale image preview could appear empty in the selling activation area.
* FIXED: Small bugs.

= 29.0.2 =
* NEW: Added a compact backend gallery dashboard with activity stats, trend graph and improved AJAX refresh behavior.
* NEW: New galleries can now track whether entries were added from the frontend or backend.
* FIXED: Major mobile full window and entry view stability issues, including search, keyboard overlays, browser back/edge-back handling, upload/comment/info modals, zoom and entry landing page behavior.
* IMPROVED: Full window wheel and swipe navigation now feels faster and more responsive, with smoother input handling on desktop and mobile.
* FIXED: Additional files now navigate more reliably on mobile in both entry view and full window view.
* IMPROVED: Rating cards in full window view are now easier to use because the whole visible card can be clicked, while undo/remove still requires the dedicated remove icon.
* FIXED: Removed invalid rating review schema output that could lead to Google review snippet validation issues.
* FIXED: Potential security vulnerability.

= 29.0.1 =
* FIXED: In full window blog view, unfolded category filters could overlap the search and sorting controls in the configuration panel.
* FIXED: Closing full window blog view now returns to the selected gallery entry with the intended 25px higher viewport position.
* IMPROVED: The search field is now focused automatically when opening the full window blog view configuration panel.
* IMPROVED: A filled search field is focused again after closing full window blog view.

= 29.0.0 =
* NEW: Full window blog view now includes a vertical slider on desktop and mobile with seamless virtual scrolling and no pagination.
* NEW: Full window blog view now has modern scroll, wheel, touch and buttons handling for desktop and mobile.
* NEW: Modern comment rendering, modern date display, profile images/avatars, and improved action/link buttons in full window view and on entry pages.
* NEW: Modernized frontend controls, including category chips, upload dropzone, radio/checkbox fields, agreement checkboxes and checkout agreement checkboxes, for upload/registry forms, full window blog view and entry landing page layouts.
* NEW: Optimized PHP first rendering for better SEO on gallery and entry pages.
* NEW: Better SEO output for landing pages, entry pages and ecommerce entries, with improved meta tags, Open Graph and JSON-LD data.
* NEW: SEO best-practice rendering for media descriptions, ALT text, video/audio accessibility labels and download descriptions.
* NEW: Cleaner gallery, entry landing page and cg_galleries URLs, canonical URLs, and Back to gallery / Back to galleries / pagination navigation for better SEO.
* NEW: Added server-side previous/next entry previews on entry landing pages for better SEO and more user-friendly gallery navigation.
* NEW: Added a separate full window blog view title field in "Edit upload form" options
* NEW: Option to show or hide the refresh button after in-gallery uploads.
* REMOVED: Full window slider view, slider view and blog view options, as they are no longer modern, had no real use case, were not ideal for SEO, and required too much maintenance.
* FIXED: Small bugs.
* FIXED: Potential security vulnerability.
* IMPROVED: Security hardening, cookie validation, upload field validation, output escaping, download permission checks and code sanitization.
* IMPROVED: Internal backend logic and admin workflows, including faster plugin activation, database schema checks, gallery creation performance and more.
* IMPROVED: Backend styling in several areas.

= 28.1.7 =
* FIXED: Potential security vulnerability.
* IMPROVED: Security hardening and code sanitization.
* IMPROVED: Reduced cg_gallery.min.js size for better frontend loading performance.
* FIXED: Small bugs.

= 28.1.6 =
* FIXED: Potential security vulnerability.
* IMPROVED: Security hardening and code sanitization.
* FIXED: Small bugs.

= 28.1.5.1 =
* FIXED: PRO version could not be activated if normal wasn't deactivated.

= 28.1.5 =
* FIXED: Security issue.
* IMPROVED: Backend security and stability improvements.

= 28.1.4 =
* FIXED: Security issue.

= 28.1.3.2 =
* FIXED: Sort by rating did not work in frontend when "Show only user votes" was activated and multiple galleries shortcodes on same page were inserted.

= 28.1.3.1 =
* FIXED: Sort by rating did not work in frontend when "Show only user votes" was activated.

= 28.1.3 =
* FIXED: Security issue.

= 28.1.2.2 =
* IMPROVED: Backend security and stability improvements.
* FIXED: Small bug fixes.

= 28.1.2.1 =
* FIXED: Inserting cg_galleries... type of shortcodes with gallery ids did not show all inserted galleries.
* FIXED: Small bug fixes.

= 28.1.2 =
* NEW: Option to change the voting icon style. Choose between "star" (default) and "heart" in the "Voting options".
* IMPROVED: Backend security and stability improvements.
* FIXED: Small bug fixes.

= 28.1.1 =
* NEW: Modernized UI icons. The old orange star has been replaced with a red heart for a clearer and more familiar look, similar to what most modern UIs use on both light and dark backgrounds.
* NEW: Removed the “Icons” options because they never worked reliably and were too time-intensive to maintain.
  If custom icons are needed, they can now be added easily via custom CSS.
* IMPROVED: styles.min.css reduced from 1.5 MB to 0.4 MB by moving large base64-encoded icon data into real icon files stored in wp-content/plugins/contest-gallery/assets/.
* FIXED: Small bugs.

= 28.1.0.1 =
* FIXED: “Full order details” link not working correctly.
* FIXED: Small bugs.

= 28.1.0 =
* NEW: Added cg_users_pin shortcode.
* NEW: Added option “Show user-friendly PIN-based email verification form for unregistered users” when “Check if is registered user” is enabled as voting recognition method.
* NEW: Added option “Show user-friendly PIN-based email verification form for unregistered users” when “Check if is registered user” is enabled as upload recognition method.
* NEW: Added “Jury (allowed voters)” setting. You can now define email addresses of registered users who are allowed to vote.
* FIXED: “Users management” area was broken in Firefox.
* FIXED: Allowed file types of the frontend upload form were not correctly recognized in the sale order area when an upload (charge users for upload) was purchased.

= 28.0.6 =
* NEW: Registered but unconfirmed users are now listed in the "Users management" area.
* NEW: "Resend confirmation email", "Show sent emails" and "Delete unconfirmed user" options added to the "Users management" area.
* NEW: "Login user immediately after email confirmation" option added to "Registration options".
* NEW: "Confirmation link lifetime" option added to "Registration options".
* NEW: Frontend users can resend the confirmation email when clicking an expired confirmation link.
* NEW: Norwegian and Swedish translations completed.
* NEW: Hindi (hi_IN) translations added.
* IMPROVED: Registration code mechanics.
* FIXED: Small bugs.

= 28.0.5 =
* NEW: Added "Header tracking code on gallery landing page" option.
* NEW: Added "General text before gallery on gallery landing page" option.
* NEW: Added "General text after gallery on gallery landing page" option.
* NEW: Added "Header tracking code on galleries landing page" option.
* NEW: Added "General text before galleries on galleries landing page" option.
* NEW: Added "General text after galleries on galleries landing page" option.
* FIXED: Small bugs.

= 28.0.4 =
* NEW: Added header tracking code option for entry landing pages.
* FIXED: Password reset (Lost password) was not functioning correctly.

= V28.0.3 =
* IMPROVED: General security and stability enhancements in backend operations.
* FIXED: Unicode slug handling for titles with non-Latin characters (e.g. Chinese, Japanese, Korean).
* FIXED: Returning via the browser back button to a page containing a cg_gallery... shortcode no longer causes an unnecessary reload.
* FIXED: Minor bug fixes.

= V28.0.2 =
* NEW: File upload field title now shown on the "In gallery upload form button".
* NEW: Larger image previews in "Masonry view" in frontend.
* NEW: Radio and checkbox field types now available for registration form.
* NEW: Send entry related custom mail now available in backend if user provided an email.
* NEW: Create templates for entry related custom mails.
* FIXED: Different little bugs.

= V28.0.1 =
* NEW: "Radio buttons" and "Checkboxes" field types added to upload form.
* NEW: Google sign in button improved.
* NEW: Security improvements.
* FIXED: Creating new gallery create new gallery but showed wrong gallery.
* FIXED: Google sign in button did not work in all cases.

= V28.0.0 =
* NEW: Multiple columns drag and drop upload form builder for "Edit registration form".
* NEW: Security improvements.

= V27.0.3 =
* FIXED: Removing votes for an entry in backend area did not reset the total counter of the votes for the entry.
* FIXED: "Check by IP and Cookie" did work incorrect.

= V27.0.2 =
* NEW: Security improvements.
* FIXED: Bugs frontend registration form area.

= V27.0.1 =
* NEW: Security improvements.
* FIXED: Adding certain fields in some cases not possible in "Edit upload form" area.

= V27.0.0 =
* NEW: Multiple columns drag and drop upload form builder for "Edit upload form".
* NEW: cg_users_contact shortcode ist renamed in cg_users_upload shortcode, but can still be used like always.
* NEW: "Contact form" renamed to "Upload form" everywhere for more clarity.
* FIXED: Deleting "Select categories" upload form field caused issues in some cases.

= V26.1.1 =
* FIXED: Security issue.

= V26.1.0 =
* NEW: Edit an image via OpenAI and add edited image to your WordPress media library.

= V26.0.9 =
* NEW: Successful prompts to OpenAI history.
* FIXED: Adding HTML field when editing an upload form did not work.
* FIXED: Security issue.

= V26.0.8 =
* NEW: Create images via OpenAI API and add them to your WordPress media library.

= V26.0.7.1 =
* FIXED: Opening the backend URL to check new comment from "New comment notification e-mail for admin" did not work.

= V26.0.7 =
* NEW: Security improvements.
* FIXED: Security issue.

= V26.0.6 =
* NEW: Create real PDF preview image when adding a PDF file in backend or frontend. Options available in "Edit options" >>> "PDF". Imagick library is not required.
* NEW: "Show or hide back to galleries button on gallery landing page" option added in "Gallery view" options for every type of cg_gallery... shortcode.
* NEW: "Back to galleries button custom URL on gallery landing page" option added in "Gallery view" options for every type of cg_gallery... shortcode.
* FIXED: Different little bugs.

= V26.0.5.1 =
* FIXED: Adding cg_galleries... type of shortcode to a page or post not possible in WordPress version 6.8 and higher.

= V26.0.5 =
* FIXED: Security issue.

= V26.0.4 =
* FIXED: Different little bugs.
* FIXED: Using multiple different upload forms if multiple different "uploads" were purchased, did not work on order summary page.

= V26.0.3 =
* NEW: Show upload form collapsed option if file upload is required. By default is uncollapsed for new galleries.
* NEW: Slightly improved borders and shadows for bright gallery color style in frontend in case of very bright monitors.
* NEW: Enable PayPal and Stripe sandbox testing options. By default is disabled, so not desired test purchases in test environment can be done with PayPal or Stripe credit cards for testing.
* FIXED: Rotating of upload form on mobile devices did not work properly.
* FIXED: Different little bugs.

= V26.0.2 =
* NEW: Larger images in masonry view. Min width raised from around 270px to 370px.
* NEW: Larger images in entry view. Max width raised from 930px to 1020px.
* FIXED: Special characters did not appear correctly in cg_gallery_user entry view.

= V26.0.1 =
* FIXED: Different little bugs.
* FIXED: Security issue.

= V26.0.0.1 =
* FIXED: Allow search engines like Google to index or follow the /contest-galleries... pages and subpages options did not work.

= V26.0.0 =
* NEW: Stripe as payment processing added. Use Stripe payment methods in your ecommerce checkout.
* NEW: Dynamic up to 10 columns appears now in masonry view, instead of maximum only  3. Depends on container width.
* NEW: Allow search engines like Google to index or follow the /contest-galleries... pages and subpages, options. By default is deactivated.
* NEW: Allow sort by rating possible if "Show only user votes" or "Hide voting until user vote" is activated, for cg_gallery_no_voting and cg_gallery_winner shortcodes.
* FIXED: Changing options for "Shortcode interval configuration" stuck if options page not reloaded for a while.
* FIXED: cg_galleries... shortcodes option "Entry preview to display" >>> "Show highest rated entry" did not work always right.

= V25.1.3 =
* NEW: Improved frontend shortcodes load visually for slower connections.
* FIXED: "Export all votes" query took too long.

= V25.1.2 =
* FIXED: Security issue.

= V25.1.1 =
* NEW: "Create @googlemail Google Sign In users as @gmail WordPress users in the database" as "Login Google" option.
* FIXED: Order status might be not always correct on the order summary page.

= V25.1.0 =
* NEW: Translation of "Buy now" and "Add to cart" now possible.
* NEW: Maximum "Contact entries for a user per category" removed, due to complicated to implement and never worked right.
* FIXED: Backend entries search showed sometimes results which doesn't contain the search word.
* FIXED: "Contact entries total per user" per user current value not corrected if an entry was deleted using cg_gallery_user shortcode.

= V25.0.9.1 =
* FIXED: If URL field in "Edit upload form"  was activated to be displayed in frontend then additionally not required "https://" was added to inserted URL even if http:// or https:// were already set in the URL.

= V25.0.9 =
* FIXED: Selected role groups which can edit Contest Gallery "Registration form" will be converted to "Contest Gallery Since V14" user role, caused in update 25.0.8.

= V25.0.8 =
* NEW: "Field title gallery or entry view" added in "Upload form" to input, textarea, select, select-categories, date and URL types of fields. Will be visible instead of "Upload form field title" in gallery or entry view, if set.
* NEW: "Forward to the URL by click on an entry in masonry view" added to URL upload form field.
* NEW: Selected role groups which can edit Contest Gallery "Registration form" fields are now also  use "Logout URL" and "Back to gallery URL" if configured in "Login options".
* FIXED: "Login form" did not work for all cases.

= V25.0.7 =
* NEW: CC and BCC added to registration "Confirmation e-mail".
* FIXED: Registration "Confirmation e-mail" did not work for all cases.
* FIXED: Contest is over not shown when using cg_galleries... type of shortcode.

= V25.0.6 =
* FIXED: Sorting in "Masonry view" did not work.
* FIXED: Agreeing YouTube policies in full window blog view broke the view.

= V25.0.5 =
* NEW: Deactivate, activate or delete all comments at once checkboxes added in "Show comments" area for an entry.
* FIXED: Clicking through pagination in frontend cause content below gallery shortcode jumps at the top of gallery area.
* FIXED: Deactivating and activating an entry causes content that should be visible in frontend for the entry to disappear.
* FIXED: Position of price tag in frontend gallery area, using cg_gallery_ecommerce shortcode, not always correct.

= V25.0.4 =
* FIXED: Opening "Slider view" from masonry view in full window mode causes high distance between thumbnails in slider images overview.
* FIXED: Content not always centered when opening "Blog view" or "Slider view" in full window mode.
* FIXED: Line break between stars on mobile when voting if 10 stars voting is activated.
* FIXED: After commenting an image as logged in user and then opening the image again, the nicknames for comments of logged in users disappear.
* FIXED: Updating Google Sign In library did not always work.

= V25.0.3 =
* NEW: "Show date entry added/uploaded to gallery" in frontend. Can be configured in "Gallery view" options.

= V25.0.2 =
* NEW: Attach an entry to a registered user of your choice.

= V25.0.1 =
* NEW: Long descriptions can be added now as third title for cg_galleries... shortcodes view.
* FIXED: If no entries for a gallery in cg_galleries... view then gallery was unclickable.

= V25.0.0 =
* NEW: Masonry cards view for frontend. Modern responsive view with modern look.
* NEW: Thumb view will be converted in masonry view.
* NEW: Adding long descriptions now possible in masonry view. Check third title (description) for a field in "Edit upload form" area.

= V24.0.9 =
* FIXED: Apostrophe was visible as html entity in comments section in frontend after page reload.

= V24.0.8.1 =
* FIXED: "Text if all uploads were used" after ecommerce entry "Upload" purchase in order summary area was not correct HTML formatted.
* FIXED: False error message might appear if Google Sign-In lib is installed, that not latest version is used.

= V24.0.8 =
* NEW: Security improvements.

= V24.0.7 =
* NEW: Lost password login area logic improved.
* NEW: PositionNumber changed when creating tables from TINYINT to INT(11).

= V24.0.6 =
* FIXED: Sorting of entries was only working till 127 entries correctly, due to TINYINT was used as SQL field type. Changed to INT(11).

= V24.0.5 =
* FIXED: Security issue.
* FIXED: Sorted images in backend were not all visible in frontend if "Custom sorting" was activated, as preselect or select, in frontend.

= V24.0.4 =
* FIXED: Security issues.

= V24.0.3 =
* FIXED: Delete votes and delete comments did not work properly.
* FIXED: Images counter in opened blog view did not work always properly on scroll if "Number of entries per screen" was higher then 20.

= V24.0.2 =
* NEW: When using cg_galleries... shortcodes and main title for a gallery is given to appear in galleries view, then the main title is also shown for the gallery if gallery is clicked from cg_galleries... shortcode type.
* FIXED: cg_galleries... shortcodes were not always displayed correctly.
* FIXED: When loading a gallery from cg_galleries... view below content jumped to the top of gallery container when loading.

= V24.0.1 =
* NEW: YouTube media start time is now possible to add when "Add social embed".
* FIXED: Undefined array key error when adding social embed.

= V24.0.0 =
* NEW: cg_galleries... shortcode types. Place cg_galleries shortcode on your page and click through galleries without page reload.
* NEW: Add ids to a cg_galleries... shortcode if you like to display only certain galleries.
* NEW: Either latest added, highest rated or highest commented entry can be displayed in galleries view as preview for a gallery.
* NEW: Main title, sub title and third title can be configured as preview for a gallery in galleries view.
* FIXED: Some special chars were not showing correctly in title of gallery view.
* FIXED: Gallery title was not displayed in no voting gallery if comments for no voting gallery were deactivated.

= V23.1.8 =
* FIXED: Wrong entries URLs were displayed in certain cases in backend entries area.

= V23.1.7 =
* FIXED: Removed not required code which might cause processing break in rare cases.
* FIXED: Sending entry activation mail for not registered user did not work if "Automatically activate users entries in frontend after frontend contact" was deactivated.

= V23.1.6 =
* FIXED: Method setting not required header on init removed.

= V23.1.5 =
* NEW: Move an entry to another gallery function now available in backend images area.

= V23.1.4 =
* NEW: Add, manage, replace entry files works with social embed also now.
* NEW: "Sales settings" for an entry also works with social embed now. An entry with social embed can be set for selling.

= V23.1.3 =
* FIXED: Improved backend images area handling and look.
* FIXED: Security issues found by patchstack.com team.

= V23.1.2 =
* FIXED: Security issue found by patchstack.com team.
* FIXED: Test environment label was not shown in basket if ecommerce test environment was used and "Buy now" was clicked.

= V23.1.1 =
* NEW: Add Instagram entries to gallery.
* NEW: Configure to ask users to agree privacy policy of Instagram to display Instagram content in frontend.
* NEW: Add TikTok entries to gallery.
* NEW: Configure to ask users to agree privacy policy of TikTok to display TikTok content in frontend.

= V23.1.0 =
* NEW: Add Twitter entries to gallery.
* NEW: Configure to ask users to agree privacy policy of Twitter to display Twitter content in frontend.
* FIXED: "Export all fields and total rating" did not work in some cases.
* FIXED: New Files and YouTube entries URLs were not generated in some cases.

= V23.0.1 =
* FIXED: Sorting by voting did not work in backend.

= V23.0.0 =
* NEW: Add YouTube entries to gallery.
* NEW: Configure to ask users to agree privacy policy of YouTube to display YouTube content in frontend.

= V22.1.0 =
* NEW: Charge for uploads. Configure "Upload" as selling type for an entry.
* NEW: User will be able to purchase "Upload" via PayPal and then upload files on the order summary page.

= V22.0.0 =
* NEW: "cg_gallery_ecommerce" shortcode, sell entries via PayPal.
* NEW: Sell entries as shipping, download or service.
* NEW: Watermark image files for selling as download.
* NEW: "Edit ecommerce" options.
* NEW: Configure currency, PayPal payment methods add PayPal Client ID and Secret for PayPal live or sandbox selling.
* NEW: Configure checkout options, checkout notes, agreements and allowed shipping countries.
* NEW: Configure order summary page options.
* NEW: Configure order confirmation mail.
* NEW: Configure invoice options and possible invoice number logic.
* NEW: Show and export ecommerce orders.
* NEW: All translations are now general and valid for all galleries.

= V21.3.8 =
* FIXED: Some entries might get not visible in frontend. If it is the case then go "Edit options" >>> "Status, repair..." >>> "Repair frontend".
* FIXED: Disabling "Show image EXIF data" in frontend, still show EXIF data.

= V21.3.7 =
* FIXED: Entries might not displayed in frontend after resaving in backend, if certain upload form configuration.
* FIXED: Entries information could not be updated in backend if frontend repair option was used.
* FIXED: Check by cookie for upload form logic improved, so works also now on cached sites.

= V21.3.6 =
* FIXED: Security issue - found by patchstack.com team.
* FIXED: Entries information configured being displayed in frontend not always displayed in frontend.

= V21.3.5 =
* FIXED: Security issues - found by patchstack.com team.

= V21.3.4 =
* FIXED: Outdated version of Chrome or certain configuration in Edge browser can cause STATUS_ACCESS_VIOLATION error when redirecting to another page after upload.

= V21.3.3 =
* FIXED: Select user role group for registered users over Contest Gallery registration form not changeable.

= V21.3.2.1 =
* FIXED: Security issue - found by patchstack.com team.

= V21.3.2 =
* FIXED: Theme CSS of pre tags in Contest Gallery container.
* FIXED: By some themes rendered and visible empty pre tags, in contest gallery parent container.

= V21.3.1 =
* FIXED: Gallery appears with not required borders in some cases.
* FIXED: Security issue - possible Cross Site Scripting (XSS) - found by patchstack.com team.

= V21.3.0 =
* FIXED: Nested frontend output in pre tags in case WordPress wpautop function is used, so output is correctly visible.

= V21.2.9.2 =
* FIXED: Shortcodes interval configuration did not work for new year in some cases.

= V21.2.9.1 =
* FIXED: Backend "Edit options" not changeable in some cases.

= V21.2.9 =
* FIXED: Security issue - possible Cross Site Request Forgery (CSRF) - found by patchstack.com team.

= V21.2.8.4 =
* FIXED: Clicking on menu points in "Edit options" scroll menu might cause page reload because of third party plugins which use data-href attribute as href attribute.

= V21.2.8.3 =
* NEW: "Export all fields and total rating" EXIF data will be exported.
* FIXED: Saving options added empty lines to some content fields.

= V21.2.8.2 =
* FIXED: Multiple stars voting was not working.
* FIXED: Heading and font size configuration could not be changed in tinyMCE editor.

= V21.2.8.1 =
* FIXED: Security issue - possible XSS Injection.

= V21.2.8 =
* FIXED: Frontend gallery titles and subtitles were not actualized in all cases.

= V21.2.7 =
* FIXED: "Contact entries for a user per category" counter worked only after page reload.

= V21.2.6 =
* NEW: "Contact entries for a user per category" option available.

= V21.2.5 =
* NEW: Thumb view images not cropped anymore.

= V21.2.4 =
* NEW: Notification visible for deleted images from media library or other third party plugin in backend images area.
* FIXED: Copying a gallery did not copied all values in all cases.
* FIXED: Editing info in user gallery did not show background drop when loading.
* FIXED: Editing info in user gallery did not save category changes. After frontend reload still previous category was visible.

= V21.2.3 =
* NEW: "Minimum resolution for uploading of JPG, IMG and GIF" options.
* FIXED: "Cookie voting just activated" appeared every time at the beginning of voting if "Check by cookie" for voting as recognition method is activated.

= V21.2.2 =
* NEW: Show categories unfolded.
* FIXED: Upload entry confirmation not visible in all cases.

= V21.2.1.3 =
* FIXED: Comment and voting icons overlay in single entry view on mobiles if no additional is added to an entry.

= V21.2.1.2 =
* FIXED: Changes of width and height of thumbs in "Gallery view" >>> "Thumb view" options does not appear in frontend.

= V21.2.1.1 =
* FIXED: "Add files" was not working in backend if "Assign fields" was not clicked before.
* FIXED: Selected wp post type field was not always displayed in the overview as selected during "Assign fields" when "Add files" in backend.

= V21.2.1 =
* NEW: WordPress post fields like "Alternative text", "Title", "Caption" and "Description" can be assigned to Input and Textarea field types when adding files in backend.
* NEW: Input and Textarea field types can be added to WordPress post field like "Alternative text", "Title", "Caption" and "Description" when uploading in frontend.
* FIXED: Interval conf might not show all available months in some cases.

= V21.2.0 =
* NEW: Frontend look modernized.
* NEW: Backend look modernized.
* NEW: Height view removed due to maintenance and look often equals thumb view.
* NEW: Thumb view logic improved. No breaks on certain device widths anymore.
* FIXED: Some CSS bugs frontend.
* FIXED: Some handling bugs backend.
* FIXED: Right categories count was not shown for user gallery.
* FIXED: Backend gallery might not load, if has no entries, in some cases.
* FIXED: Copying gallery with more then 100 entries was not working.
* FIXED: "Export users data" was not working in "Users management".
* FIXED: Colors and border radius settings of registration and login form had wrong source. Maybe has to be reconfigured after this update.

= V21.1.3.1 =
* FIXED: Login and registration form not visible after 21.1.3 update.

= V21.1.3 =
* NEW: Voting button centered and size increased in single entry view.
* FIXED: Slashes appeared if additional CSS for gallery and entry view page was added with quotes in "Edit options".
* FIXED: Mouseover icon info were shown vertical in full window mode in some cases.
* FIXED: Delete (undo) multiple stars votes caused error.

= V21.1.2.5 =
* NEW: Slight CSS improvements backend and frontend.
* FIXED: Undefined variable message in backend show comments area.
* FIXED: Registered username was not shown in all cases in backend show comments area.

= V21.1.2.4 =
* FIXED: JPG images could not be uploaded in frontend in some cases.

= V21.1.2.3 =
* FIXED: Right count of entries in categories widget is not displayed if multiple cg_gallery shortcode galleries with different ids are inserted on same page.
* FIXED: Noindex, nofollow meta tag added to cg_gallery_user custom post type pages.

= V21.1.2.2 =
* FIXED: Shortcode interval configuration did not work for some browsers.

= V21.1.2.1 =
* FIXED: Possible XSS vulnerability found by patchstack.com team.

= V21.1.2 =
* FIXED: Editing fields of user gallery using cg_gallery_user shortcode is not possible if select field is added to upload form.
* FIXED: "Show as info in single entry view" option not available for date field.

= V21.1.1 =
* NEW: "Allow to activate deactivate new frontend entry direct from admin email without being logged in" option.
* NEW: file_get_contents will be done instead of include in case allow_url_include=0 is set in PHP settings, so no error will be produced in that case.
* FIXED: Uploading ZIP did not work in all cases.
* FIXED: "Remove and correct votes" if "Allow vote via multiple stars" was activated did not work.

= V21.1.0.1 =
* FIXED: Copying gallery might cause undefined index error.
* FIXED: Finished contests stay finished if gallery is copied as new "Shortcode interval configuration" settings are available since 21.1.0 to configure start and end time for any shortcode type.

= V21.1.0 =
* NEW: Interval configuration for every shortcode. Configure how long every shortcode should be active in a certain interval, monthly, weekly, daily and set range for every interval type.

= V21.0.3.3 =
* FIXED: Sorting rating by sum if multiple stars voting is activated did no work.

= V21.0.3.2 =
* FIXED: Next and previous file in entry buttons not visible in frontend if additional files were added to entry.
* FIXED: Jpeg files were not visible in frontend if were added as additional files to entry via frontend.
* FIXED: Rotated images in backend not always rotated in frontend.

= V21.0.3.1 =
* FIXED: Search in full window view did not work in all cases.
* FIXED: Sorting by rating for one star voting did not work after 21.0.3 update.
* FIXED: Social share icons were not visible in frontend after 21.0.3 update.

= V21.0.3 =
* NEW: Frontend JS and CSS files minified and summarized in min files.
* FIXED: Delete entries button when using cg_gallery_user shortcode might not always appear.

= V21.0.2 =
* NEW: More social share buttons added: Email, SMS, Gmail, Yahoo, Evernote, OK, Douban, RenRen.
* NEW: Clicking "Back to gallery button" from entry page scrolls to gallery after opening gallery page.
* FIXED: Categories could not be set as sub or third title in gallery.
* FIXED: Sort by WP username in backend did not work with a search value.
* FIXED: Scrolling in blog view from bottom to top might cause incorrect loaded entries.

= V21.0.1 =
* NEW: Adding emojis when uploading or as content in backend and displaying them in frontend possible.
* NEW: Enable to subtitle or third title to display in gallery.
* NEW: Adding multiple gallery shortcodes of same type with same id and different entry_id on single page is possible now.
* FIXED: Files with special chars in name failed to upload in frontend.
* FIXED: Clicking back from full window mode sometimes forwarded to entry landing page.
* FIXED: Line breaks in textarea fields were not visible after saving.
* FIXED: Didn't scroll to gallery when closing full window if height or thumb view were activated.

= V21.0.0 =
* NEW: Contest Gallery Custom Post Type Pages for new or copied galleries.
* NEW: Every entry has own pages. With galleries as parent pages.
* NEW: Social share buttons available for new or copied galleries.
* NEW: Configure in upload form which input or textarea should be shared on social media.
* NEW: Further options related new entry landing pages.
* NEW: Improved frontend look for new or copied galleries. Entry title, rating and comments count placed under the thumbs.
* NEW: Improved backend look.

= V20.0.0 =
* NEW: Upload form. File upload in frontend is not mandatory anymore. Form can be used to add entries with and without file upload.
* NEW: Entries without file upload are also manageable in backend and will be displayed in frontend.
* NEW: cg_users_upload shortcode ist renamed in cg_users_contact shortcode, but can still be used like always.
* NEW: Improved frontend gallery design.
* NEW: Improved frontend handling when entries opened in full window.
* NEW: Improved frontend handling on mobile devices.
* NEW: Improved upload form design and creation handling in backend.
* NEW: Improved registration form design and creation handling backend.
* FIXED: Forwarding to another page after upload did not always work.
* FIXED: Multiple issues relating gallery appearance and mobile devices in frontend.
* FIXED: Changing added file did not work in backend.

= V19.1.5.2 =
* FIXED: Closing opened file is not possible in frontend, if "Allow sort", "Allow search" and "In gallery upload form" are deactivated.
* FIXED: Closing opened file is not possible in frontend, if only one view is activated and all other possible "Gallery view" options are deactivated.

= V19.1.5.1 =
* FIXED: Further possible SQL injection ways found by WPScan team.

= V19.1.5 =
* FIXED: Found possible SQL injections ways.
* FIXED: Custom sorting was not displayed in frontend.
* FIXED: 90 and 279 degree rotated images were not shown right in frontend.

= V19.1.4.1 =
* FIXED: Clicking on options tab in "Edit options" might not always display the right options area.

= V19.1.4 =
* NEW: "E-mail to frontend user after frontend upload" enableable in "Upload options".
* NEW: "Comments notification e-mail for frontend user" enableable in "Gallery options".
* NEW: "Votes notification e-mail for frontend user" enableable in "Gallery options".
* FIXED: "Comment will be reviewed" message does not appear, if comment is first comment of a file and "Review comments" is activated.

= V19.1.3 =
* NEW: "Copy original file source link button" enableable in "File view options".
* NEW: "Forward to original file source button" enableable in "File view options".
* NEW: Show order of current selected file in slider view.
* NEW: Bigger slider handle button in slider view on mobiles.
* FIXED: Vertical scrolling till submit button in "In gallery upload form" not possible for mobiles.
* FIXED: Clicking on alternative file type like txt or pdf caused instant download of the file, in single file view.
* FIXED: "Download original file button" option could not be deactivated.

= V19.1.2 =
* FIXED: Images cutted on the right side in blog view and slider view in some cases.
* FIXED: Gallery might break after new image upload in some cases.

= V19.1.1 =
* NEW: Improved sorting in frontend.
* NEW: Improved opening image after in gallery frontend upload.
* NEW: Improved slider view look on bigger monitors.
* NEW: Blog view not full window image URL can be copied.
* NEW: Different small improvements frontend handling overall.
* FIXED: Changing orientation on mobiles.
* FIXED: Opening slider and blog view full window on bigger monitors.
* FIXED: Closing blog view full window and appearance blog view not full window.
* FIXED: Different small bugfixes frontend handling overall.

= V19.1.0 =
* NEW: Improved items arrangement in blog view and slider view.
* NEW: Sticky menu with gallery buttons when scrolling down in blog view full window and slider view full window.
* NEW: Improved navigation in slider view.
* FIXED: Hint messages did not appear in backend images area.
* FIXED: Switching from sorting by rating to sorting by date did show wrong order in frontend.
* FIXED: Uploaded file in gallery upload form was not opened after upload.

= V19.0.0 =
* NEW: Custom sorting in backend is available and can be activated for frontend.

= V18.0.1.2 =
* NEW: Management of additional files in backend images area improved.
* NEW: Position of exif data if additional files were added with exif data improved in frontend.
* FIXED: Parse error gallery options for some PHP versions.

= V18.0.1.1 =
* FIXED: Changing additional file to first order shows wrong original file in backend when trying to sort files again.

= V18.0.1 =
* NEW: New "Review comments" option in "Edit options" >>> "Gallery". Comments can be reviewed and manually activated in backend images area.
* FIXED: Emojis does not appear when clicking on emojis icon when commenting in frontend for some themes.

= V18.0.0.1 =
* FIXED: Using different kind of gallery shortcodes with same id on same page might cause galleries loading error in some cases.

= V18.0.0 =
* NEW: Add additional files to every file post. Like multiple files upload on Instagram. Available for galleries created or copied in version 17 or higher.
* NEW: "Gallery slide out" in "Single file view" changed now in "Blog view". Relevant for galleries created before 15.0.5 version and where "Gallery slide out" option is used.
* FIXED: Preview thumbnail was not shown for videos on IOS mobile devices.

= V17.0.9 =
* NEW: "Show text if user is not logged in" for cg_gallery_user shortcode as available option.
* NEW: "Username or email", "Password successfully changed" and "Lost password?" translations are available now.
* FIXED: Delete file in frontend using cg_gallery_user shortcode was not possible on mobiles.

= V17.0.8 =
* NEW: "You have already voted for this file" icon will be displayed near a voting count in frontend if already voted for a file.

= V17.0.7 =
* NEW: Unix time shown in backend now converted and displayed based on configuration of WordPress timezone settings.
* NEW: ICO file type upload and adding to gallery not possible anymore since WordPress 6.0 restriction.

= V17.0.6 =
* NEW: Check if required tables created and show query and error message if not.
* NEW: Check if upload folder is writable and show error message if not.
* NEW: WordPress Media Library file ID, title and description are added to "Export all fields and total rating".
* FIXED: Frontend in gallery upload form backdrop did not always appear.
* FIXED: Frontend bulk upload issues in some cases.
* FIXED: Exit full screen via Escape button in frontend.

= V17.0.5 =
* NEW: Some upload validation and frontend handling improvements.
* FIXED: Security issue - possible SQL injection.

= V17.0.4 =
* NEW: Improved multiple stars voting frontend process and visually.
* NEW: "Activated" and "Winner" column is displayed in "Export all fields and total rating" CSV file.

= V17.0.3 =
* NEW: Powerpoint file types can be added: PPT, PPTX

= V17.0.2 =
* NEW: Video file types can be added, uploaded and played in gallery: WEBM, MP4, MOV
* FIXED: Forwarding to file from "File activation e-mail" did not work if cg_users_upload form shortcode was used.
* FIXED: If "Images upload" in "Edit upload form" is deactivated, then other file types can not be uploaded in frontend too.

= V17.0.1 =
* NEW: New file types can be added and uploaded in gallery: MP3, WAV, OGG, M4A
* FIXED: "Show votes" and "Show comments" in backend for new file types did not work.

= V17.0.0.1 =
* NEW: "You have already uploaded" and "Maximum amount of uploads left for you" as translations are available, in case "Uploads per user" option is used, for frontend upload form.
* FIXED: "Maximum number of files" and "Minimum number of files" "If empty then no restrictions" did not work for bulk upload.

= V17.0.0 =
* NEW: New file types can be added and uploaded in gallery: PDF, ZIP, TXT, DOC, DOCX, XLS, XLSX, CSV
* NEW: Select in "Edit upload form" which file types can be uploaded.
* NEW: Configure "Max upload size" for new file types.
* NEW: Facebook share button deprecated. Not available for new galleries anymore.

= V16.1.0 =
* NEW: Allow/Disallow file types as upload option for frontend upload form.
* NEW: ICO images can be added now as file type.
* NEW: PNGs and GIFs can be uploaded only in PRO version now.
* FIXED: Bulk upload bugs.

= V16.0.1.1 =
* FIXED: cg_users_upload shortcode upload form not visible if certain options combination is activated.

= V16.0.1 =
* FIXED: cg_users_upload shortcode upload form not visible for not logged in users.

= V16.0.0 =
* NEW: Modern upload form. Image upload area always at the top of the upload form. Drag and drop can be done.
* NEW: Bulk upload only available in PRO version.
* NEW: cg_users_upload shortcode can be now added multiple times on same page using different gallery ids.
* NEW: Information for each image can be edited in bulk upload.
* NEW: All kind of emojis can be added to comments form now. No not allowed emojis message anymore when using own mobile device emojis.
* FIXED: Japanese and Korean chars could not be typed in comments and upload form.

= V15.0.5.1 =
* FIXED: "Hide until vote" option for "Vote via 1 star" functionality did not always work in right way.
* FIXED: "Count one star voting" in "Show votes" area did not always display right number.

= V15.0.5 =
* NEW: Modern skeleton loader will be shown for images on loading in frontend gallery.
* NEW: "Open image style" "Gallery slide out" is deprecated and not available in new galleries.

= V15.0.4 =
* NEW: "Export all fields and total rating" in backend images area available.
* FIXED: Registering twice if user registered same mail twice and then used the activation links.

= V15.0.3 =
* FIXED: Votes overview not visible on mobile in user, no voting and winner gallery clicking on vote for "Multiple stars voting".
* FIXED: "Select vote" is not translatable for "Multiple stars voting". Now "Your vote" instead of "Select vote" appears and is translatable.

= V15.0.2 =
* NEW: Sum character is described when clicking on voting in frontend and multiple stars voting is activated. Translation of "Sum" can be found in "Edit options" >>> "Translations Gallery" or in language files translations.
* FIXED: Opened "Select vote" modal for multiple stars voting did not adopted "Opened image color style".
* FIXED: Saving options did not work if "Google sign in library" is installed and PHP version changed and "Google sign in library" was not updated for the new PHP version.

= V15.0.1 =
* FIXED: Opening URL from "Image activation e-mail" did not work if another variant of cg_gallery shortcode (like cg_gallery_no_voting for example) was inserted. If different variants of same gallery shortcodes are inserted on same page the one at the top will be prioritized now.

= V15.0.0 =
* NEW: Multiple stars voting. Activate multiple stars voting and select two to ten stars with new details overview in frontend. Rating is points sum based.
* NEW: Existing "Five star voting" is now part of the new multiple stars voting system.
* NEW: Sorting by average and quantity is not possible anymore for multiple stars voting system in frontend. Only sorting by points sum is available.
* NEW: "Row view" is deprecated because can't fulfill mobile requirements. If "Row view" was activated before "Height view" will be activated instead.

= V14.1.8.3 =
* FIXED: Comments in frontend couldn't be set if cg_gallery and cg_gallery_user shortcodes with same id are added to a page.

= V14.1.8.2 =
* NEW: "Rating sum descending" and "Rating sum ascending" (five stars voting) can be now configured for "Preselect order when page loads" option in "Gallery view options".
* FIXED: Sorting by rating sum five star voting in frontend might not work correctly.
* FIXED: "Preselect order when page loads" might not work correctly.

= V14.1.8.1 =
* FIXED: Content of textarea is not visible when entering comment in dark style single image view in frontend. Because font has same color as background.

= V14.1.8 =
* FIXED: Cross-site Scripting (XSS) attack possibility.
* FIXED: Line breaks in comments were not visible in frontend.

= V14.1.7 =
* NEW: Order galleries by id descend and ascend in backend.

= V14.1.6 =
* FIXED: Clicking on "Add comment" in frontend might change visually names for already done comments of the picture.

= V14.1.5 =
* NEW: Sort by "Rating sum" for "5 stars voting" in backend and frontend.
* FIXED: Tooltip on scroll over frontend gallery elements appearance not precise for all kind of themes.
* FIXED: "Show thank you for voting message" option might not work in all cases. Requires options resave if not working.

= V14.1.4 =
* FIXED: "Show only user votes" option did not worked correctly. Votes were counted but not visible after site reload.

= V14.1.3 =
* NEW: "Allow only logged in users to comment" option in "Image view options".
* NEW: When commenting as logged in user then "Nickname" (WordPress profile field) and "Profile image" (available in "Edit registration form") will be displayed instead of enter "Name" field.
* NEW: "Enable emojis" option "Image view options" in comments area. Option is enabled by default.

= V14.1.2 =
* NEW: "Text before registration form before logged in" option available in "Registration options".
* NEW: "Permanent text when logged in" option available in "Login options".

= V14.1.1 =
* NEW: Watermarks - "Input", "Select" and "Select categories field" fields in "Upload form" can be used as CSS based gallery images watermarks.

= V14.1.0 =
* NEW: "Profile image" for "Registration form". A user can upload a profile image when registering.
* NEW: Edit "Profile image" when logged in.
* NEW: Validation of edited registration form fields when logged in.
* NEW: "Show profile image who uploaded image" option in "Image view" options. If profile image exists it will be visible and clickable in a gallery in frontend.
* NEW: Role groups to check which can edit fields from "Registration form" in "Edit profile" when logged in. Available in "Registration options".
* NEW: More translations added in "Translations (general) options".
* FIXED: Undefined variable message when cg_users_login shortcode is used and user is not logged in for some PHP versions.

= V14.0.3 =
* FIXED: Appearance of select field rows in upload form and registration form in frontend was broken.

= V14.0.2 =
* NEW: Text before login form before logged in.
* NEW: Text before Google sign in button before logged in.
* NEW: "You are already logged in" translation will be not displayed anymore, because not required.
* FIXED: Confirmation text after login did not appear.

= V14.0.1 =
* FIXED: General login options might be not created.
* FIXED: Forward to configured URL after successfully login might not work if configured.
* FIXED: Some general registration and login options might be not saved.

= V14.0.0 =
* NEW: Login via Google (Google sign in) button options.
* NEW: New "Contest Gallery User since v14". user group with "Edit profile" abilities when logged in.
* NEW: "Logout URL" in "Login options".
* NEW: "Back to gallery URL" in "Login options".
* NEW: "Lost password e-mail options" in "Login options".
* NEW: "Username" and "Nickname" as registration form fields available for new galleries since v14.
* NEW: "WP First Name" and "WP Last" as registration form fields available for new galleries since v14.
* FIXED: Eventually Cross-Site Scripting (XSS) attacks possibilities.

= V13.1.0.9 =
* FIXED: Pagination select page element appearance for some themes broken in frontend.
* FIXED: Remove votes manually in backend not always executed.
* FIXED: Background alignment of overlay when deleting images in backend. Was imprecise before.

= V13.1.0.8 =
* FIXED: "Forward to another page after login" option did not work.

= V13.1.0.7 =
* FIXED: Security issue - improved conditions user authentication when exporting data Contest Gallery backend area.

= V13.1.0.6 =
* FIXED: Security issue - possible SQL injection.

= V13.1.0.5 =
* FIXED: Some japanese characters could not be typed in upload form.

= V13.1.0.4 =
* FIXED: CSS for upload form shortcode was not loaded.

= V13.1.0.3 =
* NEW: "of" as translation validation message available now for pagination translation in frontend.
* FIXED: When total activated images amount is divisible by "Number of images per screen" (Gallery view option), then frontend pagination will be not shown.

= V13.1.0.2 =
* NEW: "Email and password do not match" translation validation message instead of "Email wrong" or "Password is wrong" is used now in login form.
* FIXED: "This email is not valid" translation validation message was not shown if not valid email was typed in login form.
* FIXED: Successful login might not cause required redirect in some cases.

= V13.1.0.1 =
* FIXED: Opening gallery in frontend in "Full window blog view" might cause to open one of the images twice.

= V13.1.0 =
* NEW: Tooltip appears on hover of frontend gallery elements.
* NEW: Gallery icons tooltips translations are available in "Edit options".
* NEW: Pagination new handling. Steps replaced by modern click through and select page handling.
* NEW: "Show thank you for voting message after voting" option available in "Voting options".
* NEW: "No images found" translation message appears in frontend if no images found when search in frontend.

= V13.0.0.3 =
* FIXED: Gallery reload after in gallery upload fails if cg_gallery_user and cg_gallery shortcodes with same id on same page are used and cg_gallery has no activated image.

= V13.0.0.2 =
* FIXED: Export all votes shown different WordPress user ids but always same email and user name if a logged in user voted.

= V13.0.0.1 =
* FIXED: Galleries not loaded in frontend if multiple gallery shortcodes are inserted, first gallery is a user gallery, and frontend user is not logged in.

= V13.0.0 =
* NEW: Gallery container look with bright or dark background.
* NEW: Improved CSS and style colors for gallery bright and dark view.
* NEW: All forms has bright and dark CSS styles now. It can be switched between bright and dark style for each form in "Edit options".
* NEW: Round borders can be configured for all forms. It can be switched between round and normal borders for each form in "Edit options".
* NEW: Improved frontend categories widget handling. Categories can be expanded and collapsed.
* FIXED: Switching from blog view to normal gallery and trying to open image in gallery slide out mode not working.
* FIXED: <br> tags were not working in "This text is visible until first image appears in the gallery" area.
* FIXED: If "Show categories widget in frontend" is deactivated and there are categories, then gallery reload fails after upload via "In gallery form".
* FIXED: Apostrophe and quotes appears with backslash in frontend in single image view and in gallery upload form.
* FIXED: "Enable switch color style button" for gallery view appears only if multiple views are or full window button are activated.
* FIXED: "Enable switch color style button" for single image view appears only if also for is activated for gallery view.

= V12.3.8.1 =
* NEW: "Show constantly (without hovering) vote, comments and image title in gallery view" can be configured for each cg_gallery shortcode type now in "Gallery view options".
* NEW: "Allow only registered users to see the gallery" can be configured for each cg_gallery shortcode type now in "Gallery view options".
* NEW: Copy translation tooltip added to each translation in "Edit options" >>> "Translations".
* NEW: Emoticons can not be added to user upload form and input fields so text will be always saved on all types of servers.
* FIXED: If there is no information for an image set which should be visible in frontend and "Show comments only" is activated then comments will be not displayed in frontend.

= V12.3.8 =
* NEW: "Enable switch color style button" for gallery top controls in "Gallery view options". Bright or dark style is available.
* NEW: "Enable switch color style button for single image view" in "Image view options". Bright or dark style is available.
* NEW: Dark style CSS colors are is improved. Top controls and single image view dark style has same look.
* NEW: Improved single image view control buttons behaviour on mobiles.
* FIXED: Clicking on an image and entering full window blog view might duplicate one of an images, so one of images might appear twice.
* FIXED: Clicking enter when add comment in frontend cause no line break or cause multiple line breaks.

= V12.3.7 =
* NEW: Zoom images on smartphone mobile devices is possible now. Simply click an image and a larger version of image appears and can be closed.
* FIXED: "Passing glue string after array is deprecated" message on some server PHP versions.

= V12.3.6.3 =
* NEW: "Please use available emoticons" text appears if an emoticon will be added which is not in the list of available emoticons. This is necessary to make this function working for all WordPress and database versions.
* NEW: "Add comment" button is visible again (improved visual). Have to be clicked so it is possible to comment. This handling is necessary so it also works on all mobile devices.
* FIXED: Not possible to comment on safari.
* FIXED: Not possible possible to click enter in comment on mobile Android devices.
* FIXED: Some gallery user, winner and no voting options were not displayed in frontend.

= V12.3.6.2 =
* FIXED: Wrong in gallery upload form "Confirmation text after upload" is inserted when creating a gallery.

= V12.3.6.1 =
* NEW: Improved show further comments handling in frontend.
* NEW: Improved show further information handling in frontend.
* FIXED: Copy paste in comments might not appear in right way after site reload.

= V12.3.6 =
* NEW: "Comment notification e-mail options" available in "Gallery options".
* NEW: "Hide enter name comments area" available in "Image view options".
* NEW: "Make current voting status visible" available in "Gallery view options cg_gallery_no_voting".
* FIXED: "Full window button did not work" if "Full window slider" option was activated.

= V12.3.5 =
* NEW: Add emoticons to comments.
* NEW: Comments area is always visible in single image view if allow to comment is activated.
* FIXED: "Zip all images" might not work in some cases.
* FIXED: "Export all votes" might not work in some cases.

= V12.3.4.3 =
* NEW: "Translations" for "Registration form" and "Login form" structured in "Edit options".
* FIXED: "Translations" for "Login form" did not work in "Edit options".
* FIXED: "Translations" for "Upload form" did not work in "Edit options" if using cg_users_upload shortcode.

= V12.3.4.2 =
* NEW: "There will be no images displayed in frontend" message will get visible in backend on "Save changes" of categories in images area if categories are unchecked and no images would be visible in frontend.

= V12.3.4.1 =
* FIXED: "Camera model" exif data option can not be deactivated for cg_gallery shortcode.

= V12.3.4 =
* NEW: "This text is visible until first image appears in the gallery" option in "Gallery view options".
* FIXED: "Show as title in gallery view" in "Edit upload form" did not work in all cases.
* FIXED: Remove image button disappeared in cg_gallery_user single image view.
* FIXED: Datepicker might appear wrong positioned in frontend.

= V12.3.3.1 =
* FIXED: Gallery might not loading for some template types.
* FIXED: Registration form frontend validation did not work if upload form also was inserted on same page.

= V12.3.3 =
* NEW: Shortcodes container redesign in backend menu navigation.
* NEW: Start menu redesign. Contains more information now.
* FIXED: Some translations might be not always visible in frontend.
* FIXED: Total count of all images will be shown on category labels in user gallery instead of count of user images only.

= V12.3.0.5 =
* FIXED: Some translations might be not always visible in frontend.
* FIXED: Image information data might be visible in frontend which is not configured as visible in "Edit upload form" after frontend upload. If this is the case then please go "Edit options" >>> "Status, repair..." and click "Repair frontend" button.

= V12.3.0.4 =
* FIXED: Trying to include folder which does not exists error message in frontend.

= V12.3.0.3 =
* FIXED: Plugin activation might fail in some cases.

= V12.3.0.2 =
* FIXED: Frontend gallery might be not loaded in case of upload folder was returned as http but site is https.

= V12.3.0.1 =
* FIXED: After updating to 12.3.0 when using cg_gallery_user shortcode images were visible of another users, but could not be edited or deleted.

= V12.3.0 =
* NEW: Improved frontend data rendering, adapted for more templates.
* NEW: "Show HTML message after every successful vote" option, available in "Voting options".
* NEW: "Show HTML message if voting limitation reached" option, available in "Voting options".

= V12.2.3.4 =
* FIXED: Initializing WordPress TinyMCE editor might not work on some WordPress instances.

= V12.2.3.3 =
* FIXED: Activating PRO version might not work in some cases.

= V12.2.3.2 =
* FIXED: "Delete votes" option did not work in some cases.

= V12.2.3.1 =
* FIXED: EXIF data was not immediately displayed after uploading via frontend upload form if auto activation was not enabled.

= V12.2.3 =
* NEW: "Exif data to show in frontend" can be configured in "Image view options".
* NEW: "Original image date" EXIF data can be enabled in "Image view options".
* NEW: "Original image date format to show in frontend" can be configured in "Image view options".
* NEW: "Comments date format shown in frontend" can be configured in "Image view options".
* NEW: Show available EXIF data in backend images area.
* FIXED: Images were not found by available EXIF data in backend.
* FIXED: Load more images button might be not visible in WordPress media library of Contest Gallery backend images area.

= V12.2.0 =
* NEW: "Export all votes" function for a gallery. Button can be found in images area.
* NEW: "Check by IP and Cookie" combined as voting recognition method.
* FIXED: "Check if is registered" voting option can be manipulated in some cases.

= V12.1.5.3 =
* FIXED: After voting in blog view done vote was not shown in gallery for "One star voting".
* FIXED: "The photo contest has not started yet" translation was not shown.
* FIXED: "Insert original WordPress title" in backend creates an empty space at beginning of title.
* FIXED: "Rating descend" for five stars improved. First quantity order and second order is average now. Average was not as second order before.

= V12.1.5.2 =
* FIXED: Voting not working in "Blog view" if "Blog view" as first view and "Vote via 1 star" are activated.

= V12.1.5.1 =
* FIXED: Long title description might not shown right in gallery view.
* FIXED: If "Show comments only" is activated then sorting by comments is missing.
* FIXED: CSS of URL field if configured as title in gallery improved.
* FIXED: Box shadow of modern skeleton loader missing when opening image in blog view full window.

= V12.1.5 =
* NEW: "Comment options" can be configured for every cg_gallery shortcode type in "Image view options" now.
* NEW: "Show comments only" option.

= V12.1.4.2 =
* NEW: Modern skeleton loader when adding images for upload in frontend.
* FIXED: Changing orientation of in gallery upload form on mobiles did not changed to required height of form.

= V12.1.4.1 =
* FIXED: Frontend in gallery upload form might be stretched over full document height on mobiles.

= V12.1.4 =
* NEW: Opening new image replace browser history instead of adding new.
* NEW: Clicking back button forwards to gallery start if image is opened.
* NEW: Opening "Full window blog view" by clicking an images shows modern skeleton loader now.
* FIXED: Images might not shown in "Blog view" if "Slide effect vertical" option is activated.
* FIXED: "Single image view" could not be opened for cg_gallery_no_voting shortcode.
* FIXED: Resolution of images in some cases to low on mobiles in "Single image view".
* FIXED: Wrong position in some cases when opening an image in  "Full window blog view".

= V12.1.3 =
* NEW: Copy image link option for single image view available in "Image view options".
* FIXED: Contest start time did not work for uploads.

= V12.1.2.3 =
* FIXED: Delete user images option in frontend for cg_gallery_user shortcode is not visible in some cases.
* FIXED: In gallery upload form button might appear twice after upload in some cases.
* FIXED: Gallery content might not appear when certain theme JavaScript files processing order is configurated.

= V12.1.2.2 =
* NEW:  "Winner all" and "Not winner all" buttons added to images area in backend.
* FIXED: Sorting by rating average for five star did not work when opening full window for slider view.

= V12.1.2.1 =
* FIXED: Five star voting on mobiles for themes with sticky menu menu was not working.
* FIXED: Position of image using "Full window blog view" option might be not always correct joining full window.

= V12.1.2 =
* NEW: "Round borders for all control elements and containers" option in "Gallery view options".
* FIXED: Closing full window in an image in full window opened the image again if "Start gallery full window view as slide out by clicking an image" was activated.
* FIXED: "You can not comment in own gallery" message does not appear in "Blog view" if cg_gallery_user shortcode is used and user tries to comment own image.
* FIXED: Calculation of sizes of image information box for "Height View" was not always correct.
* FIXED: Image information behaviour if images were rotated in frontend.

= V12.1.1 =
* NEW: Modern backdrop in frontend when a message in gallery appear.
* FIXED: Controls slide in background in full window has now same background color as theme.
* FIXED: Slider view disappears if full window was joined in another view before and then going back to slider view.
* FIXED: Slider might be not opened if configured as first view.

= V12.1.0 =
* NEW: Modern image title, comments and rating stats appearance on hover of images in gallery view. For new created or copied galleries since version 12.1.0.
* NEW: Titles of images in gallery view not only one row anymore. For new created or copied galleries since version 12.1.0.

= V12.0.0 =
* NEW: Backend "Edit options" area redesign.

= V11.1.5.2 =
* FIXED: Scrolling from bottom to top in full window of "Blog view" might not work in some cases.
* FIXED: Last image might not always in appear in "Blog view".

= V11.1.5.1 =
* FIXED: Broken linebreak of a note in "Edit options".

= V11.1.5 =
* NEW: "Votes per category" option in "Voting options".

= V11.1.4.3 =
* NEW: Improved wording for e-mail options in "Edit options" for better understanding of mail exceptions if there were some.

= V11.1.4.2 =
* NEW: Mail exceptions hint will be shown in "Edit options" if there were an exception for appropriate mail type.
* FIXED: Changing categories order in "Edit upload form" does not affect frontend order.

= V11.1.4.1 =
* FIXED: Voting in "Blog view" was note possible if "Allow vote out of gallery" was deactivated.

= V11.1.4 =
* NEW: "Show HTML content instead of translation message when user used all votes" available in "Voting options".
* NEW: Open gallery controls button (for search, random button, categories and sort) in full window is on left side now. Area which comes from left has close button now.
* FIXED: Rating images in "Blog view" does not transfer rating visually in gallery view.
* FIXED: Open gallery controls button (for search, random button, categories and sort) in full window appears only if one of controls is activated.

= V11.1.3.1 =
* NEW: "View images as full window blog view" frontend opening animation and duration improved.
* NEW: Image URLs will be generated if "View images as full window blog view" after click on a gallery picture or scroll in full window.
* NEW: Image URLs will be generated if "Slider view" is active and by clicking through slider view.
* FIXED: Opened full window without message after uploading in frontend when "View images as full window blog view" or "View images as full window slider".
* FIXED: Last images in a row of "Thumb view" are sometimes full width size scaled.
* FIXED: Opening blog view in full window did not show up as expected if 11th image of gallery was clicked.
* FIXED: Checking database status on a multisite from a subsite did not work correctly.
* FIXED: Updating option for PRO version did not show up in plugins area if all updates were done in plugins area.

= V11.1.3 =
* NEW: "One vote per category" option in "Voting options".

= V11.1.2 =
* NEW: Delete original source from storage option when deleting images in backend.
* NEW: "Delete by frontend user deleted images from storage when cg_gallery_user shortcode is used" option is available in "Update options".

= V11.1.1.4 =
* NEW: Sort by comments quantity is available in backend images area.

= V11.1.1.3 =
* FIXED: Update script did not work on a subsite of a multisite if directly executed first time on a subsite of a multisite.
* FIXED: Switching from slider view to other gallery views does not show all images if slider view is first view.

= V11.1.1.2 =
* FIXED: Wrong IP in frontend getter might show wrong votes calculation in frontend if "Show only user votes" or "Hide until user voted" is activated.
* FIXED: Uninstalling plugin did not remove complete contest-gallery folder in "uploads-folder".

= V11.1.1.1 =
* NEW: "Show Facebook share button only" option.
* FIXED: Frontend messages did not appear in case certain viewport CSS settings were set.

= V11.1.1.0 =
* FIXED: get_magic_quotes_gpc() did not work for some servers. Options could not be saved because of this.
* FIXED: Some undefined variables removed.

= V11.1.0.9 =
* FIXED: "Show EXIF data" not possible to uncheck for cg_gallery_no_voting shortcode.

= V11.1.0.8 =
* FIXED: "...Page needs to be reloaded..." message might not disappear in backend in some cases.

= V11.1.0.7 =
* FIXED: Some not compatible code which might cause errors with new PHP versions removed.

= V11.1.0.6 =
* FIXED: Unevenly scrolling on mobiles in frontend galleries in some cases.
* FIXED: Five stars voting not possible if "Original source link only" or "Only gallery view" were activated.

= V11.1.0.5 =
* FIXED: Changing "Votes in time interval per user amount" did not work.
* FIXED: Last image was not shown for "Blog view" if exactly 10 images in the gallery.
* FIXED: First five images in "Blog view" view were not shown in if "View images as full window blog view" was activated and one of first five images were clicked in the gallery.

= V11.1.0.4 =
* FIXED: Saving certain options did not work in some cases.

= V11.1.0.3 =
* NEW: Improved uninstall plugin processing.
* FIXED: Sorting new added categories in "Edit upload form" did not work properly.

= V11.1.0.2 =
* FIXED: From Facebook caused cutting of share button visibility corrected.

= V11.1.0.1 =
* FIXED: Two views switch in frontend is not visible if only two views are activated and one if this is blog view.

= V11.1.0 =
* NEW: Editing available image information fields in frontend when using cg_gallery_user shortcode.

= V11.0.4.2 =
* FIXED: Commenting opportunity append in "Blog view" even if commenting is deactivated.
* FIXED: Not all images might be displayed in backend when using search input for some sorting options.

= V11.0.4.1 =
* FIXED: Behaviour of five star voting on mobiles might be not precise enough.

= V11.0.4.0 =
* NEW: Add own icons.
* NEW: Count of how many images in each category will be shown in frontend.
* NEW: Five star voting is optimized for mobile devices. Opens a five star overview when clicking on a vote.

= V11.0.3.0 =
* NEW: Enable/Disable thumbnail navigation option for Slider view.
* FIXED: isNaN might be shown in voting counter in frontend if switching from five star to one star voting in some cases.

= V11.0.2.0 =
* NEW: Open "Enable full window button" and "Enable full screen button" for "Image view options".

= V11.0.1.0 =
* NEW: Open "Blog view" in full window option when using "Height", "Thumb" or "Row" view.
* FIXED: Comments count will be duplicated in gallery view after adding a comment.
* FIXED: Wrong voting count might be shown after voting uploading an image and reloading a page then.
* FIXED: Buggy behaviour adding or deleting images in user gallery and then reloading the page.

= V11.0.0 =
* NEW: Blog view.
* NEW: Go up button for all views.
* NEW: Improved single image scaling.
* NEW: Improved resizing behaviour all views.
* NEW: Improved voting processing, voting caching and gallery actualizing behaviour.
* FIXED: Thumb view sometimes broken when resizing.
* FIXED: Categories are not shown if all header controls, like search or random sort button are deactivated.

= V10.9.9.1.5.2  =
* FIXED: Sorting by "Custom fields" in not working.
* FIXED: Upload button is visible in single view when cg_winner_shortcode was used, what shouldn't be for cg_winner_shortcode.

= V10.9.9.1.5.0 =
* NEW: "Image view background bright style" can be found in "Image view options".

= V10.9.9.1.4 =
* NEW: If user is deleted his gallery images and entries will be also deleted or reassigned.
* NEW: Appearance of gallery improved when changing steps.
* NEW: Pagination buttons also at the bottom of a gallery now.

= V10.9.9.1.3 =
* NEW: Sort by custom fields in backend.
* FIXED: ui-slider-handle not exactly positioned in slider view.

= V10.9.9.1.1 =
* NEW: Sanitisation and validation of $_POST and $_FILES data when image frontend uploading extended.
* FIXED: Image activation email not properly HTML formatted if activated via backend manually.

= V10.9.9.1.0 =
* NEW: "Modify image name frontend upload" in "Edit options" >>> "Upload options".

= V10.9.9.0.9 =
* FIXED: Searching for a value in backend did not show all available images in some cases.

= V10.9.9.0.8 =
* FIXED: Backend load could fail in some cases.
* FIXED: Wrong calculation if one star rating is active in some cases.

= V10.9.9.0.7 =
* FIXED: Sorting by five star average in backend is not available till at least one vote is done. Otherwise query and images load would fail.

= V10.9.9.0.6 =
* NEW: Sorting by average in backend images area.
* NEW: Show active or show inactive only in backend images area.
* FIXED: Search by picture id in backend did not work.
* FIXED: Search for a value in frontend did not work for all content types for pagination with steps.
* FIXED: Administrator rating manipulation in backend buggy or not saved for frontend.

= V10.9.9.0.5 =
* FIXED: If changing only image category then it was not saved for frontend.

= V10.9.9.0.4 =
* FIXED: Possible to save save frontend upload form even if resolution of image is lower then restricted in settings.

= V10.9.9.0.3 =
* FIXED: Closing full window did not calculate right width for the gallery in some cases.
* FIXED: Closing full window button did not exist if completely all header options were deactivated.
* FIXED: Some options could not be saved if other were not activated.
* FIXED: Activating slider look and only one another look, did not show both looks.

= V10.9.9.0.2 =
* FIXED: Not required script tags were generated in frontend for some option cases.

= V10.9.9.0.1 =
* FIXED: Uncheck winners in backend has no affect in frontend.

= V10.9.9.0.0 =
* NEW: Mark images as winner and display winners with cg_gallery_winner shortcode.
* FIXED: Not all gallery information were displayed in frontend when gallery was copied.
* FIXED: Wrong calculation if five star voting and "Hide until user voted" is activated.

= V10.9.8.9.2 =
* FIXED: "Enable full window button" option could not be disabled.

= V10.9.8.9.1 =
* NEW: Improved queries backend.
* FIXED: Wrong voting was displayed when voting again and "Hide until vote" was activated.

= V10.9.8.9.0 =
* NEW: Configure gallery view and image view options for each gallery shortcode.
* NEW: Prepared for upcomming WordPress version 5.5.
* FIXED: "Forward directly to original source" single view option was not working if slider view is first in order.
* FIXED: Messages could not be clicked away if upload form and gallery shortcodes on same site.

= V10.9.8.8.6 =
* NEW: Further condition added in case correction file of broken rating file is broken.

= V10.9.8.8.5 =
* NEW: Correction process if rating data of an image could not be process to the end due to high server load.

= V10.9.8.8.4 =
* NEW: Extending IP recognition. Further recognition variants added. Message in backend if IP can not be recognized.
* NEW: If "Show as title in gallery" is activated for URL field, then field headline will be displayed and forwards to URL if clicked.
* FIXED: Wrong order in frontend when copying a gallery.

= V10.9.8.8.3 =
* FIXED: Remove and correct votes in backend did not work in right way.
* FIXED: Image descriptions in frontend might disappear in some cases when changing upload form.
* FIXED: Repair frontend in "Status and repair" did not repaired image descriptions.

= V10.9.8.8.2 =
* FIXED: Year and month can be selected for photo contest start and end time.
* FIXED: Remove and correct votes did not work.
* FIXED: Facebook share shown for new added images when "Hide Facebook share button" is activated. To correct images already this happend uncheck "Hide Facebook share button" option and save options. Then check "Hide Facebook share button" again and save options. Reload frontend.

= V10.9.8.8.1 =
* FIXED: Data was not saved for frontend in some cases. If some data is not visible in frontend it can be repaired in "Edit options" >>> "Status and repair".

= V10.9.8.8.0 =
* NEW: Create user account and login user immediately after registration.
* FIXED: Changing thumb sizes in WordPress >>> Settings >>> Media gallery does not affect frontend conditions for already added images.

= V10.9.8.7.0 =
* NEW: Backend completely AJAX now. Faster areas loading.
* NEW: Improved frontend load for galleries with many images.
* FIXED: Date picker did not appear in fullscreen in frontend.
* FIXED: Uploading in frontend did not show new image if a category was checked.
* FIXED: Copying categories did not work in right way.

= V10.9.8.6.2 =
* FIXED: Comments were not displayed in no voting gallery if five star rating and show only user votes were activated.
* FIXED: If multiple galleries with same id (normal, user, no voting) on same page, show messages did not appear in full window.

= V10.9.8.6.1 =
* FIXED: Date field was not working in "In gallery form".
* FIXED: Datepicker was visible at the bottom of the page when cg_users_upload shortcode was used.

= V10.9.8.6.0 =
* NEW: Date time field for upload forms.
* FIXED: Unnecessary jumping to top when navigating in slider view.

= V10.9.8.5.4 =
* NEW: Active images count when categories exist in backend.
* NEW: Precreated categories when new gallery is created.
* FIXED: Category widget might be hidden in some cases when saving options.
* FIXED: Show as HTML title attribute in gallery did not work for category field.

= V10.9.8.5.3 =
* FIXED: Categories could not be changed after update 10.9.8.5.0.

= V10.9.8.5.2 =
* NEW: 50 images can be displayed now in backend if max input vars is 2000 or higher.
* FIXED: Uploaded images with cg_gallery_user or cg_gallery_no_voting shortcodes and in gallery form did not appear right after upload. Only after page reload.

= V10.9.8.5.1 =
* NEW: Failed mailing will be logged now in "Corrections and Improvements" area.

= V10.9.8.5.0 =
* NEW: "Show categories unchecked on page load" option.
* FIXED: Create data CSV showed exported data displaced if URL or Facebook fields were active.
* FIXED: "Show as HTML title attribute in gallery" fields option did not work in some cases.

= V10.9.8.4.3 =
* NEW: Improved slider performance. Works smoothly with many images now. Will be opened fast with many images now.
* FIXED: Draggable elements in backend were not draggable on mobile devices.

= V10.9.8.4.2 =
* FIXED: Registry and login might not worked for some WordPress installations.

= V10.9.8.4.1 =
* NEW: Option to repair gallery if not activated images are visible in frontend in "Corrections and Improvements" area.
* FIXED: "In gallery upload form" can handle higher upload size now. Not necessary data was send before.

= V10.9.8.4.0 =
* NEW: Allow sort options. Select which sort options should be available in frontend.

= V10.9.8.3.0 =
* NEW: Limit uploads by IP or cookie.
* FIXED: Search was not working in frontend in some cases.

= V10.9.8.2.7 =
* FIXED: Unnecessary do no manipulate upload form message if field was not required an min amount of characters was set.
* FIXED: To much height for single image view container if switch was done from slider view to any other view back.

= V10.9.8.2.6 =
* NEW: Export votes function available in "Show votes" for every image.
* FIXED: Min and max amount of characters were no validated if field was not set as required.

= V10.9.8.2.5 =
* NEW: Facebook share button title and description upload form fields.

= V10.9.8.2.3 =
* NEW: Edit Facebook pages title and description.
* FIXED: Registry form did not checked if nickname or email already exists before submitting.
* FIXED: Appearence of five stars details in slider view in full window at top cutted. Now appears at top of rating.
* FIXED: In gallery upload form not as wide anymore on wide window sizes.

= V10.9.8.2.0 =
* NEW: Preselect sort order.
* FIXED: No background color opacity 0 for upload frame, full window or full screen in some cases.

= V10.9.8.0.2 =
* NEW: Higher scaling in slider view for big monitors.
* NEW: User IP of uploaded image will be also exported now in "Create data CSV".
* FIXED: Not required margin right in mobile devices removed.
* FIXED: One star rating does not disappear anymore in row view with more then two images per row and low view width.

= V10.9.8.0.1 =
* FIXED: High width images in high size views were still cropped a bit in single view.
* FIXED: Vote self-added pictures now difference between IP and registered users block.
* FIXED: Activating check cookie processing when page reload was not done before.

= V10.9.8.0.0 =
* NEW: Enter full window button and handling.
* FIXED: High width images were cropped in single view.
* FIXED: Very large 5 stars progress bars in Edge or Internet Explorer.
* FIXED: Not required files removed.

= V10.9.7.9.1 =
* FIXED: Finished AJAX requests were not processed in some cases.
* FIXED: Show meta image title by hovering as default, if "Show as HTML title attribute in gallery" in "Edit upload form" is not configured.
* FIXED: Gallery functionality might suddenly stop in some cases.

= V10.9.7.9.0 =
* NEW: "Show upload form again after upload" option for cg_users_upload shortcode.
* NEW: Refresh upload form button in "In gallery upload form" after upload.
* NEW: Minimize "In gallery upload form" when uploading.
* FIXED: Facebook button overlay when used in gallery view.

= V10.9.7.8.1 =
* FIXED: Check agreement which was required as default for users upload form was not handled as required in frontend after last update.

= V10.9.7.8.0 =
* NEW: Improved icons alignment frontend.
* NEW: Improved width scaling top control elements frontend in normal view for small devices.
* NEW: Check agreement is now not only required anymore and agreement status can be exported.
* FIXED: Hovering five star rating in single view image of slider view did not show rating details.
* FIXED: Saving fields right after adding saved them always as required in "Edit upload form" area.
* FIXED: Gallery view information might disappear when switching row look and back.

= V10.9.7.7.0 =
* NEW: Settings button now available in full window mode in frontend. Settings button opens area which contains search, sort, random button and categories.
* NEW: Full window mode now use full space.
* NEW: Improved categories buttons look style.

= V10.9.7.5.4 =
* FIXED: Initialize full window did not work in all cases for user galleries.

= V10.9.7.5.3 =
* NEW: Improved size of images in single view for mobile devices.
* FIXED: Steps were not shown in right way if to many steps.
* FIXED: "View images as full window slider" id not work if already small view size.
* FIXED: If to many categories then looks broken in backend images area.

= V10.9.7.5.1 =
* FIXED: In gallery upload form disappeared vor not logged in users after last update.

= V10.9.7.5.0 =
* NEW: Cleaner top controls CSS in frontend.
* NEW: Select between white and Dark color sites styles for gallery top controls in "Multiple pics options".
* FIXED: Not required space bottom of slider view in full window view.

= V10.9.7.4.1 =
* NEW: Adding meta data by clicking icons in images backend area now adds data to existing data and does not replace existing data anymore.
* FIXED: Adding meta data by clicking icons in images backend area might be not able to save.

= V10.9.7.4.0 =
* NEW: "Voting of self-added picture is not allowed" option.
* NEW: Uploading process duration is visible in percent when uploading over "In gallery form".

= V10.9.7.3.3 =
* NEW: Improved behaviour categories and categories widget.
* NEW: Improved behaviour hover and show info gallery view.
* NEW: Improved behaviour deleting image frontend user gallery for cg_gallery_user shortcode.
* FIXED: Check agreement CSS in in gallery forms in frontend.
* FIXED: Uploading jfif file types caused expected fail but starting upload with this file type was possible.
* FIXED: Saving editor content with some gallery shortcodes caused "Not able to save message" but content was saved.

= V10.9.7.3.2 =
* FIXED: Repairing broken data was broken in frontend init gallery processing.

= V10.9.7.3.1 =
* NEW: "Thank you for your comment" can now be edited in translation area.
* FIXED: Five stars rating hover might be not fully visible in full window size.
* FIXED: Five stars rating was not centered or positioned right when hovered.

= V10.9.7.3.0 =
* NEW: HTML fields can be edited visually now in upload and registration form area backend.
* NEW: Check agreement field can be edited as real HTML field and also as visually HTML field.
* FIXED: Sending out confirmation mail for registration multiple times by reloading the page directly after confirmation.

= V10.9.7.2.5 =
* NEW: Improved behaviour for themes structured like "Twenty Twenty".
* NEW: Improved switch pagination behaviour from last image of a page to first image of a page.
* NEW: Same background color in gallery upload form and full window gallery as background on the page.

= V10.9.7.2.4 =
* FIXED: Long ids broke shortcodes look in backend.
* FIXED: Comments in frontend might be not displayed for certain width.
* FIXED: Check agreement field could not be ordered first time when added in "Upload form" area backend.

= V10.9.7.2.3 =
* FIXED: Comments slide out overlay has no background-color in frontend when starting commenting.
* FIXED: Position elements right and center did line break in frontend.

= V10.9.7.2.2 =
* NEW: Improved gallery frontend rendering performance.
* FIXED: Gallery failed to be rendered in frontend in Firefox in some cases.
* FIXED: Slider view has not same width as gallery width.
* FIXED: Switching gallery orders in backend did not scroll to the right position.

= V10.9.7.2.1 =
* NEW: "Hide Facebook share button" option.

= V10.9.7.2.0 =
* NEW: cg_gallery_no_voting shortcode.
* FIXED: After setting a comment in frontend scroll to top of comment area was not done if was required.

= V10.9.7.1.5 =
* FIXED: User gallery did not use full window width when switching in full window.
* FIXED: Switching in full window when thumb view might not use full width.
* FIXED: Width of other galleries might be wrong if uploading image in full window and other galleries are on the page.
* FIXED: Clicking of escape button might cause unexpected behaviour.

= V10.9.7.1.4 =
* FIXED: Frontend upload might cause error for certain server configuration if "Allow only registered users to upload" is activated.

= V10.9.7.1.3 =
* NEW: Not possible to comment in own gallery anymore when cg_gallery_user shortcode ist used.
* NEW: "You can not vote in own gallery" and "You can not comment in own gallery" translations can be edited now in "Edit options".
* FIXED: Clicking escape button when in gallery upload form message was shown caused no scroll on page.

= V10.9.7.1.2 =
* FIXED: Resizing in height view might shown broken gallery if single view image was also opened.
* FIXED: CSS improved for resizing row view if more then 1 image in a row should be displayed.

= V10.9.7.1.1 =
* FIXED: Showing undefined variables in backend in some areas.
* FIXED: PHP Version 7.2 count bug will be considered.
* FIXED: Resizing opened in gallery upload form was not working.

= V10.9.7.1.0 =
* NEW: Activate in gallery upload form only for user gallery.
* NEW: Copying gallery versions created before version 7 works without configuration now.
* NEW: If [cg_gallery] and [cg_gallery_user] shortcodes with same gallery id are inserted on same page then voting and uploading image data will be synchronized.
* FIXED: New uploaded multiple images in frontend in user gallery replaced new uploaded images before. Site reload was needed to work properly. Work properly without site reload now.

= V10.9.7.2.5 =
* NEW: Improved delete votes icon.
* FIXED: Endless loader is shown all the time if no images were added.
* FIXED: Showing details five star in single view of slider did not work on mouseenter.

= V10.9.7.0.1 =
* NEW: Old galleries created between versions 7-9 can be copied with all data now for using new version 10 engine.

= V10.9.7.0.0 =
* NEW: Improved 5 stars rating. Percentage each star and average value rounded to one decimal will be shown in frontend. Logic equals logic on amazon. To use new 5 stars rating on already created galleries you have to correct it in "Corrections and improvements" area.
* NEW: 5 stars sorting by average rating.
* NEW: Improved feedback in backend adding additional votes by administrator.
* NEW: Improved live actualisation voting data if votes were changed by administrator and user has not reloaded the window.
* NEW: Improved JSON data loading logic. Galleries with many images load faster.
* FIXED: Sorting 5 stars rating in frontend might not always work right way.
* FIXED: Reset votes in backend might not always work right way.

= V10.9.5.3.3 =
* NEW: Improved visual feedback when sorting elements in backend.
* NEW: Database status can be seen and corrected in "Corrections and improvements" area. Scroll to bottom in "Edit options" to see the button for "Corrections and improvements" area.

= V10.9.5.3.0 =
* NEW: Improved logic loading images in frontend. Better for large galleries with many images.
* FIXED: Image titles and descriptions might disappear in frontend when saving in backend. If it is happened already it can be corrected in "Edit options" scroll to the bottom and then "Corrections and improvements".

= V10.9.5.2.4 =
* FIXED: Random button loader always visible in frontend.

= V10.9.5.2.3 =
* FIXED: Image titles and descriptions might disappear in frontend when saving in backend. If it is happened already it can be corrected in "Edit options" scroll to the bottom and then "Corrections and improvements".
* FIXED: When adding images in backend it might load without ending. Then page reload was needed to see added images.
* FIXED: Sort by quantity descend in backend might not work properly if also a value was searched.
* FIXED: Rotated images not fully scaled and might look blurred.

= V10.9.5.2.0 =
* NEW: Sorting rating quantity with and without manipulation in backend.
* NEW: Search by user name and user email in backend.
* NEW: Corrections and improvements area in backend options. You can repair your gallery if you see images in frontend which you deleted, issue happened in 10.9.5.0.0.

= V10.9.5.1.1 =
* FIXED: Deleting images did not remove the images from frontend since update 10.9.5.0.0.

= V10.9.5.1.0 =
* NEW: Improved backend design.

= V10.9.5.0.1 =
* FIXED: Save empty image fields in backend was not possible since last update.
* FIXED: Add description, title and excerpt buttons have not worked since last update.

= V10.9.5.0.0 =
* NEW: Sort images in backend.
* NEW: Search for images in backend.
* NEW: Improved gallery load in backend.

= V10.9.3.7.8 =
* FIXED: Upload form was not visible anymore since last update.

= V10.9.3.7.7 =
* NEW: Delete image option in user gallery.
* FIXED: In gallery upload form icon is visible for user gallery if activated and user has no uploaded images.

= V10.9.3.7.4 =
* FIXED: Zip images did not contain all images if SSL status of site was changed during a contest.

= V10.9.3.7.3 =
* FIXED: HTML tags in form fields were not displayed in right way in "In gallery upload form".
* FIXED: Undefined variable error in contest-gallery/v10/v10-frontend/user_upload/users-upload.php in line 68 for certain server configuration.

= V10.9.3.7.1 =
* FIXED: Amount uploads per user has to be configured +1 to validate right amount.

= V10.9.3.7 =
* NEW: User IP will be tracked when uploading an image.

= V10.9.3.5.8 =
* FIXED: Processing of JavaScript array loops which were extended by libraries caused unexpected behaviour.

= V10.9.3.5.7 =
* FIXED: Undefined variable: onlyLoggedInUserImages in ...v10-get-data.php on line 19 message.

= V10.9.3.5.6 =
* FIXED:  Delete votes when 5 star voting is activated did not work.

= V10.9.3.5.5 =
* NEW:  Cookie id generation logic improved. Cookie id more unique now.
* FIXED:  Clicking random button if image is opened breaks gallery.
* FIXED:  When copying gallery information data of first image is missing.

= V10.9.3.5.3 =
* FIXED:  "Activate photo contest start time" feature was not working in right way.

= V10.9.3.5.1 =
* FIXED:  If multiple forms with Google reCAPTCHA are rendered unnecessary validation errors might appear.

= V10.9.3.5 =
* NEW:  Photo contest start options.
* FIXED:  Facebook button was not shown when cg_gallery_user shortcode was used.

= V10.9.3.3 =
* NEW:  Improved handling backend options area.
* FIXED:  Some option values could not be saved. Eventually creating new gallery is necessary.

= V10.9.3.1.1 =
* FIXED:  Missing CSS for figure tag in gallery frontend might not show images.

= V10.9.3.1 =
* NEW:  "Maximum amount of uploads per user is" translation added to files and translation options.
* NEW:  In gallery upload form button is shown in gallery even if no images are activated.

= V10.9.3 =
* NEW:  Display only uploaded images of logged in user shortcode.
* NEW:  "Uploads per user" option for registered and logged in users.
* FIXED:  Adding additional line breaks after saving in backend options textarea form fields again and again resolved.
* FIXED:  Preview image was not loaded in upload form if image did not fulfill the requirements.
* FIXED:  Partially wrong error messages translations were shown in frontend upload form.
* FIXED:  Poedit could not actualize translation files from code.

= V10.9.0.1.1 =
* FIXED:  Show image in full size didn't work in backend.

= V10.9.0.1 =
* NEW:  Form buttons loader for all forms when form is submitted.
* NEW:  Improved look image information in backend in images overview.
* FIXED:  Wrong translations in gallery upload form errors.

= V10.9.0 =
* NEW:  Translation options in backend for every gallery.
* NEW:  Copy gallery shortcodes by click.
* FIXED:  Broken line break in backend for 1 star option in show image area if more then 10 votes are done.
* FIXED:  Broken handling when photo contest is over in upload forms.

= V10.8.1 =
* NEW:  Total and activated images information in gallery select menu in backend.

= V10.8.0 =
* NEW:  Image preview when uploading image in frontend.
* FIXED:  Quotes can't be inserted in many option fields.
* FIXED:  Voting is not shown if only Facebook Like button is activated.

= V10.7.9.0.3 =
* FIXED:  HTML tags in emails were not correctly formatted.
* FIXED:  Copying gallery or updating form removed information of first picture in frontend.

= V10.7.9.0.1 =
* FIXED:  Facebook Like button appeared multiple times for one image when clicking through single view.

= V10.7.9.0 =
* NEW: Allow only registered users to see the gallery.
* FIXED: Random sort button function in slider view didn't work.
* FIXED: Switching views when multiple gallery shortcodes on one page are inserted might caused gallery break.

= V10.7.8.9.3=
* FIXED: Searching and sorting in slider view was broken.

= V10.7.8.9.1 =
* FIXED: Facebook Like button button does not appear for opened image when it will be opened directly by URL on site load.

= V10.7.8.9 =
* FIXED: "Photo contest is over" is over if not configured because of wrong check.

= V10.7.8.8 =
* FIXED: It was possible to vote after photo contest end time.
* FIXED: "Single pic options" view selection might not work right.

= V10.7.8.5 =
* FIXED: Deactivating all frontend header control options leads to broken gallery.
* FIXED: If only "Allow search for images" is activated then this option doesn't appear in frontend.

= V10.7.8.3 =
* FIXED: Frontend views borders configuration removed because of broken functionality.
* FIXED: Opening or closing full window slider view stops loading gallery.
* FIXED: Some JPG images couldn't be added to gallery.
* FIXED: Check icon not visible when adding images and images are checked.
* FIXED: Images couldn't be opened directly from URL.


= V10.7.8.1 =
* FIXED: Informs a user of activated image when his image gets deleted.

= V10.7.8.0 =
* NEW: "Show as HTML title attribute in gallery" checkbox option in "Upload form" area.

= V10.7.7.0 =
* NEW: Select user role group for registered users over Contest Gallery in "Registration options" area.
* FIXED: Deselect "Show info in gallery view" in "Edit upload form" area.

= V10.7.6.3 =
* NEW: Improved options loading in backend.
* NEW: Clearer single pic options collocation.
* FIXED: Coming back from slider full window to gallery view might break pagination.

= V10.7.6.0 =
* NEW: Select copy variant when copying a gallery.

= V10.7.5.1 =
* FIXED: Options table couldn't be created in some cases.

= V10.7.5.0 =
* NEW: Hiding registration form and show text instead when logged in options.
* FIXED: Export image data had wrong float values.
* FIXED: Export image data had wrong order in some cases.
* FIXED: No line breaks were set if comment had line breaks.
* FIXED: Jumping single view height when clicking through images with same height.

= V10.7.4.3 =
* NEW: Not required space to top after login, upload confirm and registration removed.
* FIXED: cgRegistrationSearchReset button readjusted.
* FIXED: Activate images right after upload out of "In gallery form" breaks gallery look.
* FIXED: Line height in slider view smaller then font size.

= V10.7.4.1 =
* FIXED: "Show votes" area broken in backend.

= V10.7.4.0 =
* FIXED: "Check Cookie voting" behaviour.
* FIXED: Gallery title was not shown if pagination is on from second step on.
* FIXED: Additional space when slider view is first in order.

= V10.7.3.7 =
* NEW: It is not allow to show Email field in single image view or gallery view anymore.
* FIXED: Show info in gallery did not work.
* FIXED: Voting via Facebook Like button out of gallery did not work.

= V10.7.3.5 =
* FIXED: Delete votes in frontend when "Original source link only" or "Only gallery view" were activated.
* FIXED: Jumping of gallery rating info for 270 or 90 degree rotated images.
* FIXED: Double loading image if clicking next step gallery from single view image.
* FIXED: Switch views button disappeared if clicking from slider to full window and "Gallery slide out" is activated.
* FIXED: Previous step not clickable if last image shown in last step when "Gallery slide out" is activated.

= V10.7.3.0 =
* NEW: Improved slider view with horizontal scroll.
* NEW: Open slider view full window when clicking image in gallery.
* NEW: Search for images by EXIF data.
* NEW: Improved gallery loader and appearance.
* NEW: Improved directly single image opening via URL.
* NEW: Gallery images and image information appears event if user has JavaScript deactivated, for SEO.
* FIXED: Buggy behaviour by opening image as gallery slide in full window.
* FIXED: No image information shown in single image view if "Allow comments" is deactivated.

= V10.7.0.1 =
* FIXED: Body unscrollable after vote done out of gallery directly.
* FIXED: Buggy image slide out in some browsers.

= V10.7.0 =
* NEW: Show exif data option. Can be found in "Edit options" >>> "Single pic options".
* NEW: Comment entry fields are hidden in frontend till plus button is clicked.
* NEW: Improved slide out behaviour for all browsers.
* FIXED: Scrollbar removed when "Forward directly to original source" or "Make images unclickable" is activated.

= V10.6.5.3 =
* FIXED: Word break added to CSS of image comments and image text information.
* FIXED: Image info was not loaded on page load of first image if "Slider view" is main view.
* FIXED: Body click events were off when "In gallery upload form" disappeared or user messages were closed.

= V10.6.5.1 =
* NEW: Shown users at one time raised from 10 to 30 as default in "Users management".

= V10.6.5 =
* NEW: Improved "Users management" overview.
* NEW: Improved "Users management overview "CSV data" export.
* FIXED: Extended space after leaving "Full window view".
* FIXED: Not fluent behaviour going last row of a gallery view.
* FIXED: "Delete votes" did not work if certain options combination was activated.
* FIXED: "Allow only registered users to upload" did not work in "In gallery upload form".
* FIXED: Buggy behaviour if "Slider view" is first in order and "Start gallery full window view by clicking an image" is activated.

= V10.6.3 =
* NEW: Clicking to prev next step image directly out of a first last image of a step.
* FIXED: Random sort (Each page load) did not work.
* FIXED: Clicking last image of a gallery did not work.
* FIXED: Adding line breaks in comment field type did not cause line break in frontend.
* FIXED: Background color of image comment inputs now white for all themes.

= V10.6.0 =
* NEW: Slider view.
* NEW: Cached frontend gallery, faster loading.
* FIXED: Update script did not work for specific databases.
* FIXED: Slide out image had wrong source and took longer to load.

= V10.5.0 =
* NEW: Allow voting via cookie recognition.
* NEW: Improved voting options overview.
* NEW: Reset administrator votes option.
* NEW: Improved reset votes buttons.
* NEW: Improved show image votes overview.
* FIXED: Reset votes does not work.

= V10.4.7.1 =
* FIXED: Autocorrection of data at frontend loading if data not complete because of server interruption during saving of data.

= V10.4.5 =
* NEW: Votes in time interval per user options.
* NEW: Improved CSRF and Self XSS protection in backend forms.

= V10.4.1.1 =
* FIXED: Adding new columns when updating didn't work in some cases.

= V10.4.1 =
* NEW: Rotate images 90 and 270 degree.
* FIXED: Broken options. Options can't be saved in some cases.

= V10.4.0 =
* NEW: Horizontal slide effect when switching images in gallery slider.
* NEW: Select horizontal or vertical slide effect option.
* FIXED: "Only gallery view" >>> "Make images unclickable". Images were still clickable.
* FIXED: In gallery form did not appear if gallery was full window sized.

= V10.3.5.5 =
* NEW: Drag icons for draggable areas in backend.
* FIXED: Images on sites with plain page id url couldn't be opened.

= V10.3.5.3 =
* FIXED: Resizing gallery frontend broken.
* FIXED: Not all images are displayed in gallery.

= V10.3.5.1 =
* FIXED: CSS file not included when copying or creating new gallery in backend.

= V10.3.5 =
* NEW: Google reCAPTCHA as form field available.
* NEW: Improved CSS alerts form messages.
* NEW: Instant fields validation upload form.
* NEW: Improved CSS steps links in backend image area.

= V10.3.1 =
* NEW: Copying galleries with many images by partial redirect.
* NEW: Clicking browser back button navigates through gallery images.
* FIXED: Clicking gallery image opens image but does not jump in the image on mobile.
* FIXED: Not working image link when activating images in backend and send image activation email option is activated.

= V10.3.0.3 =
* FIXED: Files names lowercase now how it supposed to be.

= V10.3.0.1 =
* FIXED: Required files were not loaded.

= V10.3.0 =
* NEW: Show detailed vote overview for every image and ability to remove votes in backend.
* NEW: Improved slide out single image view.

= V10.2.5.1 =
* FIXED: Gallery stopped loading for special kind of sorting.

= V10.2.5 =
* NEW: Uploaded images added instantly to gallery in frontend, without site reload, if "In gallery upload form" and "Automatically activate users files after frontend upload" is activated and used.
* NEW: Improved slide out performance single image view.
* FIXED: Missing information in admin mail.
* FIXED: Backslash appears when quotes are added in comments area.
* FIXED: Gallery stopped loading if not existing image tried to be found when site load.
* FIXED: Image activation mail was not send if url parameter was missing in content mail.
* FIXED: Multiple images upload and "Automatically activate users files after frontend upload".

= V10.2.3 =
* NEW: Delete votes. Frontend users can remove their votes and give them to another picture. For galleries created after V10.
* FIXED: "Show Nickname who uploaded image" showed always nickname of logged in user.
* FIXED: Gallery view information, rating and comments position couldn't be changed.
* FIXED: No unnecessary semicolons in filename when exporting data CSV.
* FIXED: JavaScript error message if only 1 Category is selected.
* FIXED: Reset votes did not work properly.

= V10.20 =
* NEW: Light version limit options, instead of upload and registrations amount.
* NEW: Show Nickname who uploaded image, if registered user uploaded image.
* NEW: Login via mail only, not mail and username anymore.
* FIXED: Upload form not running when Autoptimize plugin is activated.
* FIXED: Max image upload size always 2MB in gallery upload form.
* FIXED: End activate photo contest saving options logic.
* FIXED: VARCHAR (65535) changed to TEXT when creating tables. Suitable for more servers.

= V10.1.4 =
* FIXED: Small images were scaled to full gallery width.
* FIXED: Automatically activate users files after frontend upload for galleries created after V10.

= V10.1.3 =
* FIXED: Thumb view width adjustment for galleries created after V10.
* FIXED: Hide until vote rating handling for galleries created after V10.
* FIXED: Show only user votes rating handling for galleries created after V10.
* FIXED: "Enable link to original image source" for galleries created after V10.

= V10.1.2 =
* NEW: tinymce editors in "Edit options" instead of textareas for galleries created after V10.
* FIXED: Photo contest is over message was not shown in gallery upload form.
* FIXED: Fields could not be hidden in gallery upload form.
* FIXED: Email field was not shown in gallery upload form.

= V10.1.0 =
* NEW: In gallery upload form for galleries created after V10.
* FIXED: Gallery CSS not complete loaded on slow pages.

= V10.0.1 =
* FIXED: Focusing blocks in backend when a shortcode of gallery is inserted created before version 10.
* FIXED: Jumping slideout of images in last row in full window mode.
* FIXED: Abrupt appearence of gallery closing full window mode.

= V10.0.0 =
* NEW: Faster frontend engine
* NEW: Modern slide out view
* NEW: Full browser window gallery view
* NEW: Search option in frontend (by image names, field entries or categories)
* NEW: Instant search results
* NEW: Instant pagination switching
* NEW: Instant sorting and category switching
* NEW: Instant random sort with random sort button
* NEW: Multiple gallery shortcodes on one page
* NEW: End contest date in hours and minutes
